Bug 253599 - Doesn't look nice when size changed
Summary: Doesn't look nice when size changed
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk-vnc   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Daniel Berrange
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-20 19:11 UTC by Bastien Nocera
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 23:44:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot.png (704.95 KB, image/png)
2007-08-20 19:11 UTC, Bastien Nocera
no flags Details
Clear widget space outside the remote framebuffer region (1.07 KB, patch)
2007-08-22 16:53 UTC, Daniel Berrange
no flags Details | Diff

Description Bastien Nocera 2007-08-20 19:11:28 UTC
gtk-vnc-0.1.0-3.fc8 on x86_64

The "target" system is smaller in resolution than the desktop on which I'm
running vinagre. When maximising vinagre, bits of UI don't seem to be refreshed,
and the screen isn't centred.

Comment 1 Bastien Nocera 2007-08-20 19:11:34 UTC
Created attachment 161914 [details]
Screenshot.png

Comment 2 Daniel Berrange 2007-08-22 16:53:50 UTC
Created attachment 162219 [details]
Clear widget space outside the remote framebuffer region

The attached patch explicitly fills the space outside the framebuffer with a
solid color to avoid it being filled with random garbage.

Comment 3 Daniel Berrange 2007-08-22 22:50:23 UTC
Committed to CVS, build pending....

* Wed Aug 22 2007 Daniel P. Berrange <berrange@redhat.com> - 0.1.0-4.fc8
- Fix mixed endian handling & BGR pixel format (rhbz #253597)
- Clear widget areas outside of framebuffer (rhbz #253599)
- Fix off-by-one in python demo

Comment 4 Daniel Berrange 2007-08-22 23:44:46 UTC
Build complete, in rawhide.



Note You need to log in before you can comment on or make changes to this bug.